# DataQuality Enumeration

Namespace: `ArchestrA.Toolkit`

**Syntax**

```csharp
enum DataQuality
{
DataQualityUnknown = -1,
DataQualityGood = 0,
DataQualityUncertain = 1,
DataQualityInitializing = 2,
DataQualityBad = 3,
}
```

**Remarks**

An enumeration that represents the four primary OPC data quality states as interpreted by ArchestrA. The DataQualityInitializing state is actually a substatus of Bad according to OPC. In general, use of MxDataQuality is preferred since it contains the most complete OPC bit definitions.
